/***************************************************************************
 *                                                                         *
 *   kemboss - Graphical user interface for EMBOSS                         *
 *                                                                         *
 *   Copyright (C) 2007-2013 Tobias Schwarz (mail@tobias-schwarz.net)      *
 *                                                                         *
 *   Based on the EMBOSS.kaptn scripts by Thomas Siegmund                  *
 *                                                                         *
 *   This program is free software; you can redistribute and/or modify     *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version, and provided that the above       *
 *   copyright and permission notice is included with all distributed      *
 *   copies of this or derived software.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 **************************************************************************/

#include <QMessageBox>
#include "changePassword.h"

ChangePasswordDlg::ChangePasswordDlg(kembossSettings *parent)
{
    ksettings = parent;
    setupUi(this);
}

void ChangePasswordDlg::accept()
{
    if (PasswordLineEdit->text().length() < 6) {
        // The password has to contain at least 6 characters
        QMessageBox::warning(this, "kemboss", tr("The password has to contain at least 6 characters. Please enter a valid password."));
    } else if (PasswordLineEdit->text() != PasswordLineEdit2->text()) {
        QMessageBox::warning(this, "kemboss", tr("The entered passwords differ. Please try again."));
        PasswordLineEdit->clear();
        PasswordLineEdit2->clear();
    } else {
        ksettings->setUserPassword(PasswordLineEdit->text());
        ksettings->writeSettings();
        QDialog::accept();
    }
}
