TEMPLATE = app

QT     += core
QT     += network
QT     += sql
QT     -= gui

TARGET = kembossd
CONFIG += console
CONFIG += thread
CONFIG -= app_bundle

HEADERS       = kthread.h \
                kserver.h \
                simplecrypt.h \
                sql.h \
                ksshared.h \
                kinputThread.h \
                ../main.h \
                ../shared.h
SOURCES       = main.cpp \
                kserver.cpp \
                kthread.cpp \
                simplecrypt.cpp \
                sql.cpp \
                ksshared.cpp \
                kinputThread.cpp \
                ../shared.cpp

CONFIG(release, debug|release){
    message("Building in release mode")
    DEFINES += QT_NO_DEBUG_OUTPUT
    OBJECTS_DIR = ./release
    MOC_DIR = ./release
    RCC_DIR = ./release
    UI_DIR = ./release
    unix : TARGET = ./../../kembossd
    win32 : TARGET = ../../../kembossd
} else:CONFIG(debug, debug|release){
    message("Building in debug mode")
    OBJECTS_DIR = ./debug
    MOC_DIR = ./debug
    RCC_DIR = ./debug
    UI_DIR = ./debug
    unix : TARGET = ./../../kembossd_debug
    win32 : TARGET = ../../../kembossd_debug
}

unix : target.path = /usr/local/bin

unix : settings.path = /etc/kembossd
unix : settings.files += ../allowed_emboss_programs
unix : settings.files += ../privkey.pem
unix : settings.files += ../localcert.pem

unix : INSTALLS += settings \
                   target
